Comment (gCube Social Networking Library 1.4.0-SNAPSHOT API)
Date: 2014-03-05

org.gcube.portal.databook.shared

## Class Comment

- java.lang.Object
- - org.gcube.portal.databook.shared.Comment

- All Implemented Interfaces:
    Serializable, Comparable<Comment>

      public class Comment
      extends Object
      implements Serializable, Comparable<Comment>

  Version:
    0.1 July 2012
  Author:
    Massimiliano Assante, ISTI-CNR
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Comment()`
    `Comment(String key, String userid, Date time, String feedid, String text, String fullName, String thumbnailURL)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Comment toCompare)`
    `String` | `getFeedid()`
    `String` | `getFullName()`
    `String` | `getKey()`
    `String` | `getText()`
    `String` | `getThumbnailURL()`
    `Date` | `getTime()`
    `String` | `getUserid()`
    `void` | `setFeedid(String feedid)`
    `void` | `setFullName(String fullName)`
    `void` | `setKey(String key)`
    `void` | `setText(String text)`
    `void` | `setThumbnailURL(String thumbnailURL)`
    `void` | `setTime(Date time)`
    `void` | `setUserid(String userid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Comment

          public Comment()

    - #### Comment

          public Comment(String key,
                 String userid,
                 Date time,
                 String feedid,
                 String text,
                 String fullName,
                 String thumbnailURL)

      Parameters:
        `key` -
        `userid` -
        `timestamp` -
        `feedid` -
        `text` -
        `fullName` -
        `thumbnailURL` -

  - ### Method Detail

    - #### getText

          public String getText()

      Returns:
        the text

    - #### setText

          public void setText(String text)

      Parameters:
        `text` - text to add as string

    - #### getKey

          public String getKey()

      Returns:
        the uuid

    - #### setKey

          public void setKey(String key)

    - #### getUserid

          public String getUserid()

    - #### setUserid

          public void setUserid(String userid)

    - #### getTime

          public Date getTime()

    - #### setTime

          public void setTime(Date time)

    - #### getFeedid

          public String getFeedid()

    - #### setFeedid

          public void setFeedid(String feedid)

    - #### getFullName

          public String getFullName()

    - #### setFullName

          public void setFullName(String fullName)

    - #### getThumbnailURL

          public String getThumbnailURL()

    - #### setThumbnailURL

          public void setThumbnailURL(String thumbnailURL)

    - #### compareTo

          public int compareTo(Comment toCompare)

      Specified by:
        `compareTo` in interface `Comparable<Comment>`

Copyright © 2014. All Rights Reserved.